RewriteEngine on

RewriteRule ^([0-9]+)/video/(.*)/(.*).html$ video.php?op=$1&tag=$2&video=$3 [L]
RewriteRule ^([0-9]+)/tag/(.*)/([0-9]+).html$ index.php?op=$1&tag=$2&page=$3 [L]
RewriteRule ^([0-9]+)/tag/(.*).html$ index.php?op=$1&tag=$2 [L]